package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源指标范围对象 adm_ems_index_range
 *
 * @author ruoyi
 * @date 2024-08-30
 */
public class AdmEmsIndexRange extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 对象代码
     */
    @Excel(name = "对象代码")
    private String objCode;

    /**
     * 对象类型
     */
    @Excel(name = "对象类型")
    private Integer objType;

    /**
     * 指标名称
     */
    @Excel(name = "指标名称")
    private String indexName;

    /**
     * 指标描述
     */
    @Excel(name = "指标描述")
    private String indexDesc;

    /**
     * 指标上限
     */
    @Excel(name = "指标上限")
    private Double indexUpperLimit;

    /**
     * 指标下限
     */
    @Excel(name = "指标下限")
    private Double indexLowerLimit;

    private String facsType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexDesc(String indexDesc) {
        this.indexDesc = indexDesc;
    }

    public String getIndexDesc() {
        return indexDesc;
    }

    public void setIndexUpperLimit(Double indexUpperLimit) {
        this.indexUpperLimit = indexUpperLimit;
    }

    public Double getIndexUpperLimit() {
        return indexUpperLimit;
    }

    public void setIndexLowerLimit(Double indexLowerLimit) {
        this.indexLowerLimit = indexLowerLimit;
    }

    public Double getIndexLowerLimit() {
        return indexLowerLimit;
    }

    public String getFacsType() {
        return facsType;
    }

    public void setFacsType(String facsType) {
        this.facsType = facsType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("objCode", getObjCode()).append("objType", getObjType()).append("indexName", getIndexName()).append("indexDesc", getIndexDesc()).append("indexUpperLimit", getIndexUpperLimit()).append("indexLowerLimit", getIndexLowerLimit()).toString();
    }
}
